USE [$(dbname)];
GO
insert into [$(schema)].Environments(Name,Description,ToolType) Values('Default','Default environment','ADMIN');
GO
insert into [$(schema)].acl_class (CLASS) Values ('au.com.security.spring.AbstractSecureObject');
GO
insert into [$(schema)].ACL_SID (PRINCIPAL, SID) Values (0,'ROLE_ADMINISTRATOR');
GO
insert into [$(schema)].ACL_SID (PRINCIPAL, SID) Values (0,'ROLE_SUPER_ADMIN');
GO
insert into [$(schema)].ACL_SID (PRINCIPAL, SID) Values (0,'USER_TYPE');
GO
insert into [$(schema)].GROUPS (GROUP_NAME) Values ('ADMINISTRATOR')
GO
insert into [$(schema)].GROUPS (GROUP_NAME) Values ('MANAGER');
GO
insert into [$(schema)].GROUPS (GROUP_NAME) Values ('SCRIPTER');
GO
insert into [$(schema)].GROUPS (GROUP_NAME) Values ('SUPER_ADMIN');
GO
insert into [$(schema)].GROUPS (GROUP_NAME) Values ('TESTER');
GO   
insert into [$(schema)].[Licences] (Name, Version, LicenceType, Source, LicenceFile) VALUES ('AspectJ','1.6.11','AspectJ TM Compiler and Core Tools License', 'http://eclipse.org/aspectj/','licenses/aspectj.pdf');
GO
insert into [$(schema)].[Licences] (Name, Version, LicenceType, Source, LicenceFile) VALUES ('Commons CLI','1.2','Apache License  Version 2.0, January 2004  http://www.apache.org/licenses/','http://commons.apache.org/proper/commons-cli/','licenses/apache.pdf');
GO
insert into [$(schema)].[Licences] (Name, Version, LicenceType, Source, LicenceFile) VALUES ('Commons Codec','1.4','Apache License  Version 2.0, January 2004  http://www.apache.org/licenses/','http://commons.apache.org/proper/commons-codec/','licenses/apache.pdf');
GO
insert into [$(schema)].[Licences] (Name, Version, LicenceType, Source, LicenceFile) VALUES ('Commons Collections','3.2.1','Apache License  Version 2.0, January 2004  http://www.apache.org/licenses/','http://commons.apache.org/proper/commons-collections/','licenses/apache.pdf');
GO
insert into [$(schema)].[Licences] (Name, Version, LicenceType, Source, LicenceFile) VALUES ('Commons DBCP','1.4','Apache License  Version 2.0, January 2004  http://www.apache.org/licenses/','http://commons.apache.org/proper/commons-dbcp/','licenses/apache.pdf');
GO
insert into [$(schema)].[Licences] (Name, Version, LicenceType, Source, LicenceFile) VALUES ('Commons Email','1.2','Apache License  Version 2.0, January 2004  http://www.apache.org/licenses/','http://commons.apache.org/proper/commons-email/','licenses/apache.pdf');
GO
insert into [$(schema)].[Licences] (Name, Version, LicenceType, Source, LicenceFile) VALUES ('Commons IO','1.4','Apache License  Version 2.0, January 2004  http://www.apache.org/licenses/','http://commons.apache.org/proper/commons-io/','licenses/apache.pdf');
GO 
insert into [$(schema)].[Licences] (Name, Version, LicenceType, Source, LicenceFile) VALUES ('Commons Logging','1.1.1','Apache License  Version 2.0, January 2004  http://www.apache.org/licenses/','http://commons.apache.org/proper/commons-logging/','licenses/apache.pdf');
GO
insert into [$(schema)].[Licences] (Name, Version, LicenceType, Source, LicenceFile) VALUES ('Commons Pool','1.5.4','Apache License  Version 2.0, January 2004  http://www.apache.org/licenses/','http://commons.apache.org/proper/commons-pool/','licenses/apache.pdf');
GO
insert into [$(schema)].[Licences] (Name, Version, LicenceType, Source, LicenceFile) VALUES ('EHCache','2.2.0','Apache License  Version 2.0, January 2004  http://www.apache.org/licenses/','http://ehcache.org/','licenses/apache.pdf');
GO
insert into [$(schema)].[Licences] (Name, Version, LicenceType, Source, LicenceFile) VALUES ('Hibernate','3.3.2','GNU Lesser General Public License Version 2.1, February 1999','http://www.hibernate.org','licenses/lgpl.pdf');
GO
insert into [$(schema)].[Licences] (Name, Version, LicenceType, Source, LicenceFile) VALUES ('ini4j','0.5.1','Apache License  Version 2.0, January 2004  http://www.apache.org/licenses/','http://ini4j.sourceforge.net','licenses/apache.pdf');
GO
insert into [$(schema)].[Licences] (Name, Version, LicenceType, Source, LicenceFile) VALUES ('Jasypt','1.9.0','Apache License  Version 2.0, January 2004  http://www.apache.org/licenses/','http://www.jasypt.org','licenses/apache.pdf');
GO
insert into [$(schema)].[Licences] (Name, Version, LicenceType, Source, LicenceFile) VALUES ('Java','1.7.0_25-b17','Oracle Binary Code License Agreement for the Java SE Platform Products and JavaFX','http://www.oracle.com/technetwork/java/index.html','licenses/java.pdf');
GO
insert into [$(schema)].[Licences] (Name, Version, LicenceType, Source, LicenceFile) VALUES ('Javassist','3.11','Mozilla Public License 1.1','http://www.jboss.org/javassist/','licenses/mozilla.pdf');
GO
insert into [$(schema)].[Licences] (Name, Version, LicenceType, Source, LicenceFile) VALUES ('JdatePicker','1.3.2','BSD License','http://sourceforge.net/projects/jdatepicker/','licenses/bsd.pdf');
GO
insert into [$(schema)].[Licences] (Name, Version, LicenceType, Source, LicenceFile) VALUES ('Log4j','1.2.17','Apache License  Version 2.0, January 2004  http://www.apache.org/licenses/','http://logging.apache.org/','licenses/apache.pdf');
GO
insert into [$(schema)].[Licences] (Name, Version, LicenceType, Source, LicenceFile) VALUES ('slf4j','1.6.1','Copyright (c) 2004-2008 QOS.ch','http://www.slf4j.org/','licenses/qos.pdf');
GO
insert into [$(schema)].[Licences] (Name, Version, LicenceType, Source, LicenceFile) VALUES ('Spring','2.5.6','Apache License  Version 2.0, January 2004  http://www.apache.org/licenses/','http://www.springframework.org','licenses/apache.pdf');
GO
insert into [$(schema)].[Licences] (Name, Version, LicenceType, Source, LicenceFile) VALUES ('Spring Security','2.0.5','Apache License  Version 2.0, January 2004  http://www.apache.org/licenses/','http://www.springframework.org','licenses/apache.pdf');
GO
insert into [$(schema)].[Licences] (Name, Version, LicenceType, Source, LicenceFile) VALUES ('TestPro','Set at build time','Commercial','http://www.testpro.com.au','licenses/testpro_framework.pdf');
GO
INSERT INTO [$(schema)].GROUP_AUTHORITIES (AUTHORITY, GROUP_ID) 
  SELECT 'ROLE_TESTER', ID 
    FROM [$(schema)].GROUPS 
   WHERE GROUP_NAME = 'TESTER';
GO
INSERT INTO [$(schema)].GROUP_AUTHORITIES (AUTHORITY, GROUP_ID) 
  SELECT 'ROLE_SCRIPTER', ID 
    FROM [$(schema)].GROUPS 
   WHERE GROUP_NAME = 'SCRIPTER';
GO
INSERT INTO [$(schema)].GROUP_AUTHORITIES (AUTHORITY, GROUP_ID) 
  SELECT 'ROLE_MANAGER', ID 
    FROM [$(schema)].GROUPS 
   WHERE GROUP_NAME = 'MANAGER';
GO
INSERT INTO [$(schema)].GROUP_AUTHORITIES (AUTHORITY, GROUP_ID) 
  SELECT 'ROLE_ADMINISTRATOR', ID 
    FROM [$(schema)].GROUPS 
   WHERE GROUP_NAME LIKE '%ADMIN%';
GO
INSERT INTO [$(schema)].GROUP_AUTHORITIES (AUTHORITY, GROUP_ID) 
  SELECT 'ROLE_SUPER_ADMIN', ID 
    FROM [$(schema)].GROUPS 
   WHERE GROUP_NAME = 'SUPER_ADMIN';
GO
INSERT INTO [$(schema)].ACL_OBJECT_IDENTITY(OBJECT_ID_CLASS, OBJECT_ID_IDENTITY, OWNER_SID, ENTRIES_INHERITING)
SELECT C1.ID, 1, SID.ID, 0
  FROM [$(schema)].ACL_CLASS C1,
       [$(schema)].ACL_SID SID
 WHERE C1.CLASS = 'au.com.security.spring.AbstractSecureObject'
   AND SID.SID = 'USER_TYPE';
GO
INSERT INTO [$(schema)].ACL_OBJECT_IDENTITY(OBJECT_ID_CLASS, OBJECT_ID_IDENTITY, OWNER_SID, ENTRIES_INHERITING)
SELECT C1.ID, 2, SID.ID, 0
  FROM [$(schema)].ACL_CLASS C1,
       [$(schema)].ACL_SID SID
 WHERE C1.CLASS = 'au.com.security.spring.AbstractSecureObject'
   AND SID.SID = 'USER_TYPE';
GO
INSERT INTO [$(schema)].ACL_OBJECT_IDENTITY(OBJECT_ID_CLASS, OBJECT_ID_IDENTITY, OWNER_SID, ENTRIES_INHERITING)
SELECT C1.ID, 3, SID.ID, 0
  FROM [$(schema)].ACL_CLASS C1,
       [$(schema)].ACL_SID SID
 WHERE C1.CLASS = 'au.com.security.spring.AbstractSecureObject'
   AND SID.SID = 'USER_TYPE';
GO
INSERT INTO [$(schema)].ACL_OBJECT_IDENTITY(OBJECT_ID_CLASS, OBJECT_ID_IDENTITY, OWNER_SID, ENTRIES_INHERITING)
SELECT C1.ID, 4, SID.ID, 0
  FROM [$(schema)].ACL_CLASS C1,
       [$(schema)].ACL_SID SID
 WHERE C1.CLASS = 'au.com.security.spring.AbstractSecureObject'
   AND SID.SID = 'USER_TYPE';
GO
INSERT INTO [$(schema)].ACL_OBJECT_IDENTITY(OBJECT_ID_CLASS, OBJECT_ID_IDENTITY, OWNER_SID, ENTRIES_INHERITING)
SELECT C1.ID, 5, SID.ID, 0
  FROM [$(schema)].ACL_CLASS C1,
       [$(schema)].ACL_SID SID
 WHERE C1.CLASS = 'au.com.security.spring.AbstractSecureObject'
   AND SID.SID = 'USER_TYPE';
GO
INSERT INTO [$(schema)].ACL_ENTRY(ACL_OBJECT_IDENTITY, ACE_ORDER, SID, MASK, GRANTING, AUDIT_SUCCESS, AUDIT_FAILURE)
SELECT OI.ID, 1, SID.ID, 16, 1, 0, 0
  FROM [$(schema)].ACL_OBJECT_IDENTITY OI,
       [$(schema)].ACL_SID SID
 WHERE SID.SID = 'ROLE_SUPER_ADMIN';
GO
INSERT INTO [$(schema)].ACL_ENTRY(ACL_OBJECT_IDENTITY, ACE_ORDER, SID, MASK, GRANTING, AUDIT_SUCCESS, AUDIT_FAILURE)
SELECT OI.ID, 2, SID.ID, 16, 1, 0, 0
  FROM [$(schema)].ACL_OBJECT_IDENTITY OI,
       [$(schema)].ACL_SID SID
 WHERE SID.SID = 'ROLE_ADMINISTRATOR';
GO

